#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main()
{
    ll x1, y1, x2, y2, x3, y3;
    while (~scanf("%lld%lld%lld%lld%lld%lld", &x1, &y1, &x2, &y2, &x3, &y3))
    {
        x2 -= x1, y2 -= y1;
        x3 -= x1, y3 -= y1;
        ll ans = abs(x2 * y3 - x3 * y2) * 7;
        printf("%lld\n", ans);
    }
    return 0;
}